PagerProcessor_control_schedule (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.PagerProcessor_control_schedule class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class PagerProcessor_control_schedule

    java.lang.Object
      org.hyperic.hq.control.server.session.PagerProcessor_control_schedule

All Implemented Interfaces:
  PagerProcessor, PagerProcessorExt

    public class PagerProcessor_control_schedule

extends java.lang.Object
implements PagerProcessorExt

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`PagerProcessor_control_schedule()`

Method Summary
`PagerEventHandler` | `getEventHandler()` Get the event handler for this pager.
`java.lang.Object` | `processElement(java.lang.Object o)` Process an element as the pager moves it from the source collection to the destination collection.
`java.lang.Object` | `processElement(java.lang.Object o1, java.lang.Object o2)` Process an element as the pager moves it from the source collection to the destination collection.
`boolean` | `skipNulls()` Determines if null values are included in the Pager's results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### PagerProcessor_control_schedule

    public PagerProcessor_control_schedule()

Method Detail

### processElement

    public java.lang.Object processElement(java.lang.Object o)

  Description copied from interface: `PagerProcessor`
  Process an element as the pager moves it from the source collection to the destination collection.

  Specified by:
    `processElement` in interface `PagerProcessor`
  Parameters:
    `o` - The object to process.
  Returns:
    The processed object.

### getEventHandler

    public PagerEventHandler getEventHandler()

  Description copied from interface: `PagerProcessorExt`
  Get the event handler for this pager. May return null to indicate that no event handler should be used.

  Specified by:
    `getEventHandler` in interface `PagerProcessorExt`

### processElement

    public java.lang.Object processElement(java.lang.Object o1,
                                           java.lang.Object o2)

  Description copied from interface: `PagerProcessorExt`
  Process an element as the pager moves it from the source collection to the destination collection. This version allows an additional argument to be passed along.

  Specified by:
    `processElement` in interface `PagerProcessorExt`
  Parameters:
    `o1` - The object to process.
    `o2` - Additional data required to processElement.
  Returns:
    The processed object.

### skipNulls

    public boolean skipNulls()

  Description copied from interface: `PagerProcessorExt`
  Determines if null values are included in the Pager's results.

  Specified by:
    `skipNulls` in interface `PagerProcessorExt`
  Returns:
    If this method returns true, then when the processElement method returns null, that element will not be included in the results. If this methods returns false, then nulls may be added to the result page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.